
package com.star.payroll;

import javax.ejb.*;
import java.rmi.RemoteException;

/**
 * Remote interface for the PayrollEJB.
 */
public interface Payroll extends EJBObject {
    void setBenefitsDeduction(int emplNumber, double deduction) 
        throws RemoteException, PayrollException;
    double getBenefitsDeduction(int emplNumber) 
        throws RemoteException, PayrollException;
    double getSalary(int emplNumber)
        throws RemoteException, PayrollException;
    void setSalary(int emplNumber, double salary)
        throws RemoteException, PayrollException;
}
