package com.wombat;

import javax.ejb.*;


/** 
 * A utility class which provides default implementations of methods in
 * javax.ejb.EntityBean.
 */

public class AbstractEntityBean implements EntityBean {

    protected EntityContext entityContext;

    public void setEntityContext(EntityContext ctx) {
        entityContext = ctx;
    }

    public void unsetEntityContext() {
        entityContext = null;
    }

    public void ejbRemove() throws RemoveException {}
    public void ejbLoad() {}
    public void ejbStore() {}
    public void ejbActivate() {}
    public void ejbPassivate() {}
}
