
package com.wombat.plan;

/**
 * Composite primary key class for DoctorEJB entity bean.
 */
public class DoctorPkey implements java.io.Serializable {

    // These are the two fields of the primary key. They correspond to
    // CMP fields in the DoctorBean class.
    public String firstName;
    public String lastName;

    public DoctorPkey() {}

    public DoctorPkey(String firstName, String lastName) {
	this.firstName = firstName;
	this.lastName = lastName;	
    }

    public boolean equals(Object other)
    {
        if ( other instanceof DoctorPkey ) {
            DoctorPkey pkey = (DoctorPkey)other;
            return (firstName.equals(pkey.firstName) && lastName.equals(pkey.lastName));
        }
        return false;
    }

    public int hashCode()
    {
        return (firstName.hashCode() | lastName.hashCode());
    }
}
