package com.star.benefits;

import javax.ejb.*;

/**
 * Local interface for EnrollmentEJB.
 */
public interface Enrollment extends EJBLocalObject {

    EmployeeInfo getEmployeeInfo() throws EnrollmentException;

    Options getCoverageOptions() throws EnrollmentException;

    void setCoverageOption(int choice) throws EnrollmentException;

    Options getMedicalOptions() throws EnrollmentException;

    void setMedicalOption(int choice) throws EnrollmentException;

    Options getDentalOptions() throws EnrollmentException;

    void setDentalOption(int choice) throws EnrollmentException;

    boolean getSmokerStatus() throws EnrollmentException;

    void setSmokerStatus(boolean status) throws EnrollmentException;

    Summary getSummary() throws EnrollmentException;

    void commitSelections() throws EnrollmentException;
}
