package com.star.benefits;

/**
 * Interface for HealthPlan information. This is implemented by 
 * multiple classes for different health plans.
 */
public interface HealthPlan extends java.io.Serializable {
    String getPlanId();
    String getDescription();
    double getCost(int coverage, int age, boolean smokerStatus);
}
