package com.star.benefits.db;

import java.sql.SQLException;
import javax.sql.DataSource;

public class DBInsertSelection extends DBUpdateBean {
    static String statement = 
        "INSERT INTO Selections VALUES (?, ?, ?, ?, ?)";
    
    public DBInsertSelection(DataSource ds) throws SQLException {
        super(ds, statement);
    }

    public void setEmplNumber(int emplNum) throws SQLException {
        pstmt.setInt(1, emplNum);
    }
    public void setCoverage(int cov) throws SQLException {
        pstmt.setInt(2, cov);
    }
    public void setMedicalPlanId(String id) throws SQLException {
        pstmt.setString(3, id);
    }
    public void setDentalPlanId(String id) throws SQLException {
        pstmt.setString(4, id);
    }
    public void setSmokerStatus(boolean st) throws SQLException {
        pstmt.setString(5, st ? "Y" : "N");
    }
}
