package com.star.benefits.db;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.SQLException;
import javax.sql.DataSource;

public class DBUpdateBean {
    protected PreparedStatement pstmt;
    private Connection con;

    public int execute() throws SQLException {
        int rowCount = pstmt.executeUpdate();
        pstmt.close();
        con.close();
        return rowCount;
    }

    protected DBUpdateBean(DataSource ds, String statement) 
        throws SQLException 
    {
        con = ds.getConnection();
        pstmt = con.prepareStatement(statement);    
    }

    public void release() { }
}
