
package com.star.benefits.plans;

import com.star.benefits.HealthPlan;

public class MetLifeDental implements HealthPlan {
    public MetLifeDental() { super(); }

    public String getPlanId() { return "METDENT"; }
    public String getDescription() { return "MetLife Dental"; }
    public double getCost(int coverage, int age, boolean smokerStatus) {
        switch (coverage) {
        case 0: return 30.00;     // Employee Only
        case 1: return 58.00;        // Employee and Spouse
        case 2: return 70.00;        // Employee, Spouse, and Children
        default: throw new IllegalArgumentException();

        }
    }
}
