package com.wombat.benefits;

import javax.ejb.*;
import java.util.Date;

import com.wombat.AbstractEntityBean;

/**
 * CMP EntityBean that represents employee information.
 */
public abstract class EmployeeBean extends AbstractEntityBean {

    // Container-managed persistent fields
    public abstract Integer getEmployeeNumber();
    public abstract void setEmployeeNumber(Integer n);

    public abstract String getFirstName();
    public abstract void setFirstName(String s);

    public abstract String getLastName();
    public abstract void setLastName(String s);

    public abstract Date getBirthDate();    
    public abstract void setBirthDate(Date d);


    public Integer ejbCreate(int emplNumber, String fname, String lname, 
			   Date birthDate)
	throws CreateException
    {
	setEmployeeNumber(new Integer(emplNumber));
	setFirstName(fname);
	setLastName(lname);
	setBirthDate(birthDate);
	return null;
    }

    public void ejbPostCreate(int emplNumber, String fname, String lname, 
			   Date birthDate)
	throws CreateException
    {}
}
