
package com.star.benefits.plans;

import com.star.benefits.HealthPlan;

public class PrudentialDental implements HealthPlan {
    public PrudentialDental() { super(); }

    public String getPlanId() { return "PRUDDENT"; }
    public String getDescription() { return "Prudential Dental"; }
    public double getCost(int coverage, int age, boolean smokerStatus) {
        switch (coverage) {
        case 0: return 33.00;     // Employee Only
        case 1: return 60.00;        // Employee and Spouse
        case 2: return 72.00;        // Employee, Spouse, and Children
        default: throw new IllegalArgumentException();

        }
    }
}
