<%@ page language="java" %>
<%@ page import="javax.naming.*" %>
<%@ page import="java.util.*" %>
<%@ page import="com.star.benefits.*" %>

<html>
<body>

<%
	String form = null;
	int selection = -1;
	String button = null;
	int nextPage = 0;


	// get form name (form name is coded as a button name)
	Enumeration params = request.getParameterNames();
	while (params.hasMoreElements()) {
		String paramName = (String)params.nextElement();
		if (paramName.equals("FormName")) {
			form = request.getParameterValues(paramName)[0];
		}

	}
		
	// get the selection (i.e. which radio button was selected)
	params = request.getParameterNames();
	while (params.hasMoreElements()) {
		String paramName = (String)params.nextElement();
		if (paramName.equals("R1")) {
			selection = Integer.parseInt(
				    request.getParameterValues(paramName)[0]);
		}
	}

	// get the button that posted the form
	params = request.getParameterNames();
	while (params.hasMoreElements()) {
		String paramName = (String)params.nextElement();
		if (paramName.equals("B1")) {
			button = request.getParameterValues(paramName)[0];
		}
	}

	System.err.println("JSP: form: " + form + " selection: " +
		selection + " button: " + button);

	Enrollment eb = (Enrollment)session.getAttribute("EnrollmentBean");
	if (eb == null) {
	    System.err.println("Looking up EnrollmentBean");

	    try {
		// this is the beginning of the user session
		InitialContext ic = new InitialContext();
		EnrollmentHome eh = (EnrollmentHome)
				    ic.lookup("java:comp/env/ejb/Enrollment");
		String user = request.getUserPrincipal().getName();
		eb = eh.create(Integer.parseInt(user));
		eb.getEmployeeInfo();		
		session.setAttribute("EnrollmentBean", eb);

		System.err.println("Successfully got EnrollmentBean");
	    } 
	    catch ( Exception ex ) {
		ex.printStackTrace();
		// end the session, logout the user
		try {
		    session.invalidate();
		} catch ( Exception e ) {}
		// XXX send back an error page
	    }
	}

	if (form == null) {
%>
<jsp:forward page="step1.jsp" />
<%
	} else {
		// this request came is a result of a form post 


		// XXX - handle the case selection == -1
	
		if (form.equals("step1")) {
			eb.setCoverageOption(selection);	
%>
<jsp:forward page="step2.jsp" />
<%
		} else if (form.equals("step2")) {
			eb.setSmokerStatus(selection == 1);	
%>
<jsp:forward page="step3.jsp" />
<%
		} else if (form.equals("step3")) {
			eb.setMedicalOption(selection);	
%>
<jsp:forward page="step4.jsp" />
<%
		} else if (form.equals("step4")) {
			eb.setDentalOption(selection);	
%>
<jsp:forward page="step5.jsp" />
<%
		} else if (form.equals("step5")) {
			System.err.println("Button value " + button);
			if (button.equals("Submit")) {
				eb.commitSelections();
%>
<jsp:forward page="step6.jsp" />
<%
			} else {
				// XXX ERROR
			}
		} else {
			// XXX ERROR
		}
	}
%>

</body>
</html>
